Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.util
Class DLExpressivityChecker

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.visitor.OWLModelVisitorAdapter
          edu.stanford.smi.protegex.owl.model.util.DLExpressivityChecker

All Implemented Interfaces:
  OWLModelVisitor

    public class DLExpressivityChecker

extends OWLModelVisitorAdapter

User: matthewhorridge
The University Of Manchester
Medical Informatics Group
Date: Oct 22, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Field Summary
`static String` | `AL`
`static String` | `C`
`static String` | `DATATYPE`
`static String` | `E`
`static String` | `F`
`static String` | `FL_MINUS`
`static String` | `FL0`
`static String` | `H`
`static String` | `I`
`static String` | `N`
`static String` | `O`
`static String` | `Q`
`static String` | `S`
`static String` | `TRAN_ROLES`
`static String` | `U`

Constructor Summary
`DLExpressivityChecker(OWLModel owlModel)`

Method Summary
`void` | `check()`
`Collection` | `getDL()`
`String` | `getDLName()`
`String` | `toString()`
`void` | `visitOWLAllValuesFrom(OWLAllValuesFrom owlAllValuesFrom)`
`void` | `visitOWLCardinality(OWLCardinality owlCardinality)`
`void` | `visitOWLComplementClass(OWLComplementClass owlComplementClass)`
`void` | `visitOWLDataRange(OWLDataRange owlDataRange)`
`void` | `visitOWLDatatypeProperty(OWLDatatypeProperty owlDatatypeProperty)`
`void` | `visitOWLEnumeratedClass(OWLEnumeratedClass owlEnumeratedClass)`
`void` | `visitOWLHasValue(OWLHasValue owlHasValue)`
`void` | `visitOWLIntersectionClass(OWLIntersectionClass owlIntersectionClass)`
`void` | `visitOWLMaxCardinality(OWLMaxCardinality owlMaxCardinality)`
`void` | `visitOWLMinCardinality(OWLMinCardinality owlMinCardinality)`
`void` | `visitOWLNamedClass(OWLNamedClass owlNamedClass)`
`void` | `visitOWLObjectProperty(OWLObjectProperty owlObjectProperty)`
`void` | `visitOWLSomeValuesFrom(OWLSomeValuesFrom someValuesFrom)`
`void` | `visitOWLUnionClass(OWLUnionClass owlUnionClass)`

Methods inherited from class edu.stanford.smi.protegex.owl.model.visitor.OWLModelVisitorAdapter
`visitOWLAllDifferent, visitOWLIndividual, visitOWLOntology, visitRDFDatatype, visitRDFIndividual, visitRDFList, visitRDFProperty, visitRDFSLiteral, visitRDFSNamedClass, visitRDFUntypedResource, visitSWRLAtomListIndividual, visitSWRLIndividual`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FL0

    public static final String FL0

See Also:
  Constant Field Values

### FL_MINUS

    public static final String FL_MINUS

See Also:
  Constant Field Values

### AL

    public static final String AL

See Also:
  Constant Field Values

### C

    public static final String C

See Also:
  Constant Field Values

### TRAN_ROLES

    public static final String TRAN_ROLES

See Also:
  Constant Field Values

### E

    public static final String E

See Also:
  Constant Field Values

### U

    public static final String U

See Also:
  Constant Field Values

### I

    public static final String I

See Also:
  Constant Field Values

### O

    public static final String O

See Also:
  Constant Field Values

### N

    public static final String N

See Also:
  Constant Field Values

### Q

    public static final String Q

See Also:
  Constant Field Values

### F

    public static final String F

See Also:
  Constant Field Values

### H

    public static final String H

See Also:
  Constant Field Values

### DATATYPE

    public static final String DATATYPE

See Also:
  Constant Field Values

### S

    public static final String S

See Also:
  Constant Field Values

Constructor Detail

### DLExpressivityChecker

    public DLExpressivityChecker(OWLModel owlModel)

Method Detail

### check

    public void check()

### getDLName

    public String getDLName()

### getDL

    public Collection getDL()

### visitOWLAllValuesFrom

    public void visitOWLAllValuesFrom(OWLAllValuesFrom owlAllValuesFrom)

  Specified by:
    `visitOWLAllValuesFrom` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLAllValuesFrom` in class `OWLModelVisitorAdapter`

### visitOWLCardinality

    public void visitOWLCardinality(OWLCardinality owlCardinality)

  Specified by:
    `visitOWLCardinality` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLCardinality` in class `OWLModelVisitorAdapter`

### visitOWLComplementClass

    public void visitOWLComplementClass(OWLComplementClass owlComplementClass)

  Specified by:
    `visitOWLComplementClass` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLComplementClass` in class `OWLModelVisitorAdapter`

### visitOWLDataRange

    public void visitOWLDataRange(OWLDataRange owlDataRange)

  Specified by:
    `visitOWLDataRange` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLDataRange` in class `OWLModelVisitorAdapter`

### visitOWLDatatypeProperty

    public void visitOWLDatatypeProperty(OWLDatatypeProperty owlDatatypeProperty)

  Specified by:
    `visitOWLDatatypeProperty` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLDatatypeProperty` in class `OWLModelVisitorAdapter`

### visitOWLEnumeratedClass

    public void visitOWLEnumeratedClass(OWLEnumeratedClass owlEnumeratedClass)

  Specified by:
    `visitOWLEnumeratedClass` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLEnumeratedClass` in class `OWLModelVisitorAdapter`

### visitOWLHasValue

    public void visitOWLHasValue(OWLHasValue owlHasValue)

  Specified by:
    `visitOWLHasValue` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLHasValue` in class `OWLModelVisitorAdapter`

### visitOWLIntersectionClass

    public void visitOWLIntersectionClass(OWLIntersectionClass owlIntersectionClass)

  Specified by:
    `visitOWLIntersectionClass` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLIntersectionClass` in class `OWLModelVisitorAdapter`

### visitOWLMaxCardinality

    public void visitOWLMaxCardinality(OWLMaxCardinality owlMaxCardinality)

  Specified by:
    `visitOWLMaxCardinality` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLMaxCardinality` in class `OWLModelVisitorAdapter`

### visitOWLMinCardinality

    public void visitOWLMinCardinality(OWLMinCardinality owlMinCardinality)

  Specified by:
    `visitOWLMinCardinality` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLMinCardinality` in class `OWLModelVisitorAdapter`

### visitOWLNamedClass

    public void visitOWLNamedClass(OWLNamedClass owlNamedClass)

  Specified by:
    `visitOWLNamedClass` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLNamedClass` in class `OWLModelVisitorAdapter`

### visitOWLObjectProperty

    public void visitOWLObjectProperty(OWLObjectProperty owlObjectProperty)

  Specified by:
    `visitOWLObjectProperty` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLObjectProperty` in class `OWLModelVisitorAdapter`

### visitOWLSomeValuesFrom

    public void visitOWLSomeValuesFrom(OWLSomeValuesFrom someValuesFrom)

  Specified by:
    `visitOWLSomeValuesFrom` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLSomeValuesFrom` in class `OWLModelVisitorAdapter`

### visitOWLUnionClass

    public void visitOWLUnionClass(OWLUnionClass owlUnionClass)

  Specified by:
    `visitOWLUnionClass` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLUnionClass` in class `OWLModelVisitorAdapter`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.